Subject: Re: Problems whith porting Prolog on SGI platform

From: Csaba Veres <[email-masked]>
Date: Thu, 23 Sep 1999 09:30:00 +0930

I had exactly the same problem trying to compile it on a Sparc/Linux platform. I
submitted a bug report, but have not heard anything.

I asked a C/C++  programmer at work, and all he could suggest is that maybe the
gcc on this platform was buggy. Maybe same applies to your case?

Csaba

Johan van Rijn wrote:

> Hello,
>
> I seem to have problems whith porting prolog on a SGI Indy or O2.
>
> It does not matter if use gmake or make, both endup with:
>
> ar x `gcc -print-libgcc-file-name` frame.o
> gcc -c -I. -I. -I./rc -Wall -O2   pl-main.c -o pl-main.o
> gcc -c -I. -I. -I./rc -Wall -O2   pl-extend.c -o pl-extend.o
> gcc -export-dynamic  -o pl -Lrc pl-atom.o pl-wam.o pl-stream.o
> pl-error.o pl-arith.o pl-bag.o pl-comp.o pl-rc.o pl-dwim.o pl-ext.o
> pl-file.o pl-flag.o pl-fmt.o pl-funct.o pl-gc.o pl-glob.o pl-itf.o
> pl-list.o pl-load.o pl-modul.o pl-op.o pl-os.o pl-prims.o pl-pro.o
> pl-proc.o pl-prof.o pl-read.o pl-rec.o pl-rl.o pl-setup.o pl-sys.o
> pl-table.o pl-trace.o pl-util.o pl-wic.o pl-write.o pl-term.o
> pl-buffer.o pl-thread.o   frame.o pl-main.o pl-extend.o -lrc -ldl
> -ltermcap -lm
> ld32: WARNING 1: Unknown option: export-dynamic (ignored).
> ld32: WARNING 84: /usr/lib32/libdl.so is not used for resolving any
> symbol.
> ./pl -O -o pl.prc -b ../boot/init.pl
> gmake: *** [pl.prc] Bus error (core dumped)
>
> Also if i try to execute pl it will core dump.
>
> If any clues or hits i whould be greatfull.
>
> BVD.
>
> --
> Johan van Rijn
>
> ----------------
> * To UNSUBSCRIBE, please use the HTML form at
>
>     http://www.swi.psy.uva.nl/projects/SWI-Prolog/index.html#mailinglist
>
> or send mail to [email-masked] using the Subject: "unsubscribe"
> (without the quotes) and *no* message body.
>
> ** An ARCHIVE of this list is maintained at
>
>     http://www.swi.psy.uva.nl/projects/SWI-Prolog/mailinglist/archive/